API explorerOncall
Put someone on call for a window (admins: anyone; members: themselves)
POST /api/agent/oncall/{groupId}/overrides. Required scopes: oncall:write.
Loading API reference…
Required scopes: oncall:write
bearer oncall:writeAuthorizationBearer <token>A Notify agent token from notify auth login or the dashboard.
Scope: oncall:write
groupId*stringapplication/jsonuserId*string1 <= length <= 100startsAt*string^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$date-timeendsAt*string^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$date-timeSuccess
application/jsongroup*curl -X POST 'https://example.com/api/agent/oncall/string/overrides' \ -H 'Content-Type: application/json' \ -d '{ "userId": "string", "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z"}'{ "group": { "id": "string", "teamId": "string", "name": "string", "rotation": { "members": [ { "userId": "string", "name": "string", "image": "string" } ], "period": "daily", "handoffAt": "string", "timezone": "string", "startsAt": "2019-08-24T14:15:22Z" }, "escalation": [ { "afterMinutes": 0, "target": "next" } ], "current": { "person": { "userId": "string", "name": "string", "image": "string" }, "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "override": true, "overrideId": "string" }, "upcoming": [ { "person": { "userId": "string", "name": "string", "image": "string" }, "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "override": true, "overrideId": "string" } ], "overrides": [ { "id": "string", "person": { "userId": "string", "name": "string", "image": "string" }, "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z" } ], "openPageCount": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}